# encoding: UTF-8
#--
#
#################################################################################
# Copyright 2010-2013 Free Software's Seed, CENATIC y IEPALA
#
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas por la Comisión Europea– 
# versiones posteriores de la EUPL (la «Licencia»);
# Solo podrá usarse esta obra si se respeta la Licencia.
# Puede obtenerse una copia de la Licencia en:
#
# http://www.osor.eu/eupl/european-union-public-licence-eupl-v.1.1
#
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye «TAL CUAL»,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones que establece la Licencia.
#################################################################################
#
#++
# Controlador encargado de la gestion de usuario. Este controlador es utilizado desde las secciones:
# * Sección administracion: crear, modificar, eliminar usuarios
# * Sección entrada: autentifica y carga en la sessión
# * En cualquier sección: salir

class UsuarioController < ApplicationController

	# Formulario de login
  def entrada
  end
  
	# en entrada: llama Usuario.identificacion y carga el usuario devuelto en la sessión
  def identificacion
    session[:por_pagina] = 20
    if usuario =  Usuario.identificacion(params[:usuario][:nombre], params[:usuario][:contrasena])
      session[:usuario_identificado_id] = usuario.id
      session[:idioma_seleccionado] = params[:selector] ? params[:selector][:idioma] : "es"
      session[:timeout] = nil
      redireccion = params[:ir_a] || session[:ir_a] || (params[:ir_a_usuarios] ? {:seccion => :administracion, :controller => :usuario, :action => :ordenado} : {:seccion => :inicio, :controller => :info})
      redirect_to redireccion
    else
      msg_error _("Identificación incorrecta.<br>Compruebe su usuario y contraseña.")
      #redirect_to :back unless session[:usuario_identificado_id]
      redirect_to :back
    end
  end

  # en cualquier sección: pon a nil el usuario_identificado en la sessión
  def salir
    session[:usuario_identificado_id] = nil
    session[:timeout] = nil
    reset_session 
    redirect_to :seccion => :administracion, :controller => :usuario, :action => :entrada
  end

  # en administracion: se redirecciona por defecto a ordenado
  def index
    redirect_to :action => 'ordenado'
  end

  # en administracion: lista
  def listado
    @usuario = params[:id] ?  Usuario.find(params[:id]) : nil
    @usuarios = @paginado =  Usuario.paginate( :order => session[:usuario_orden] + " " + session[:usuario_asc_desc], :page => params[:page],:per_page => (session[:por_pagina]))
  end

  # en administracion: establece los parametros de ordenación 
  def ordenado
    session[:usuario_orden] = params[:orden] ? params[:orden] : "nombre" 
    session[:usuario_asc_desc] = params[:asc_desc] ? params[:asc_desc] : "ASC"
    redirect_to :action => "listado"
  end
  
  # en administracion: prepara el formulario de edición o creación
  def editar_nuevo
    @usuario = params[:id] ?  Usuario.find(params[:id]) : nil
    render :partial => "formulario"
  end


  # en administracion: modifica o crea
  def modificar_crear
    @usuario = params[:id] ?  Usuario.find(params[:id]) : Usuario.new 
    @usuario.update_attributes params[:usuario]
    @usuario.update_attribute :contrasena,  Usuario.hash_contrasena(params[:usuario][:contrasena]) if params[:usuario][:contrasena] && @usuario.errors.empty?
    @usuario_identificado.reload if @usuario.id == @usuario_identificado.id
    msg @usuario
    redirect_to :action => "listado"
  end

  # en administracion: añade un campo "contraseña al formulario
  def contrasena
    render :inline => "<%= contrasena 'Contraseña', 'usuario', 'contrasena', '1' %>"
  end

  # en administracion: elimina usuario.
  def eliminar
    usuario = Usuario.find(params[:id])
    usuario.destroy
    msg_eliminar usuario
    redirect_to :action => 'listado'
  end

#++
  # Asignar USUARIOS
  #--
	# en administracion: muestra el formulario para asociar usuarios
  def usuarios
    @objeto = eval( params[:objeto].capitalize ).find( params[:id] )
    @usuarios_x = eval( "@objeto.usuario_x_" + params[:objeto] )
    render :update do |page|
      page.replace_html params[:update], :partial => "usuario/usuarios"
    end 
  end

  def asignar_usuario
    @objeto = eval( params[:objeto].capitalize ).find( params[:id].to_s )
    @listado_usuarios = Usuario.find(:all).collect{ |u| [u.nombre, u.id] } - @objeto.usuario.collect{ |u| [u.nombre, u.id] }
    @usuario_actual = Usuario.find( params[:usuario_id] ) if params[:usuario_id]
    @objeto_nombre = case params[:objeto]
                       when "libro" then "Cuenta"
                       else  params[:objeto].capitalize
                     end
    render :partial => "usuario/asignar_usuario", :locals => {:objeto => params[:objeto], :update => params[:update]}
  end

  def crear_modificar_asignacion
    @message = nil 
    @objeto = eval( params[:objeto].capitalize ).find( params[:id].to_s )
    if params[:usuario_id]
      eval( "@usuario_relacionado = UsuarioX" + params[:objeto].capitalize + ".find( :first, :conditions => {:usuario_id => params[:usuario_id], :" + params[:objeto] + "_id =>  params[:id]} )" )
      @usuario_relacionado.rol = params[:usuario][:rol]
      @usuario_relacionado.save
    # No encuentro que hace este else... cuando no hay params[:usuario_id] ????
    else
      @usuario_relacionado =  eval( "UsuarioX" + params[:objeto].capitalize + ".create(:usuario_id => params[:usuario][:usuario_id], :" + params[:objeto] + "_id =>  params[:id], :rol =>  params[:usuario][:rol])" ) if params[:usuario] and params[:usuario][:rol]
      @usuario_relacionado = eval( "UsuarioX" + params[:objeto].capitalize + ".create(:usuario_id => params[:usuario][:usuario_id], :" + params[:objeto] + "_id =>  params[:id])" ) unless params[:usuario].nil? or params[:usuario][:rol]
    end  
    @usuarios_x = eval( "@objeto.usuario_x_" + params[:objeto] )
    for usuario in @objeto.usuario
      begin
        usuario_asignado = Usuario.find( params[:usuario][:usuario_id] )
        Correo.asignar_usuario(request.host_with_port, usuario, usuario_asignado, params[:usuario][:rol], @objeto).deliver
      rescue
        @message = _("No se ha podido mandar el mail a algún usuario")
      end
    end if @usuario_relacionado.errors.empty?
    render :update do |page|
      page.replace_html params[:update], :partial => "usuario/usuarios"
      page.replace 'formulario', :inline => '<%= mensaje_error(@usuario_relacionado ? (@message || @usuario_relacionado) : "Se han producido errores. No se guardan los datos.") %><br>'
    end 
  end

  def desasignar_usuario
    @objeto = eval( params[:objeto].capitalize ).find( params[:id].to_s )
    eval( "UsuarioX" + params[:objeto].capitalize + ".find( params[:usuario_x_objeto_id] ).destroy" )
    @usuarios_x = eval( "@objeto.usuario_x_" + params[:objeto] )
    render :update do |page|
      page.replace_html params[:update], :partial => "usuario/usuarios"
      page.replace_html 'MB_content', :inline => '<%= mensaje_error(@objeto, :eliminar => true) %><br>'
      page.call("Modalbox.resizeToContent")
    end
  end

  def datos_personales
    @usuario = Usuario.find params[:id]
    render :partial => "datos_personales"
  end

  def cambiar_datos_personales
    @usuario = Usuario.find params[:id]
    if Usuario.hash_contrasena(params[:comprobar][:contrasena_antigua]) == @usuario.contrasena and params[:comprobar][:contrasena_nueva] == params[:comprobar][:contrasena_repetida] and params[:comprobar][:contrasena_nueva] != ""
      @usuario.update_attributes params[:usuario]
      @usuario.update_attribute :contrasena,  Usuario.hash_contrasena(params[:comprobar][:contrasena_nueva])
    else
      fallo_comprobacion = true
    end
    render :update do |page|
      @mensaje = fallo_comprobacion ? "Error en los datos de comprobación" : @usuario
      page.replace_html 'MB_content', :inline => '<%= mensaje_error(@mensaje) %><br>'
      page.call("Modalbox.resizeToContent")
    end
  end

  #def seleccionar_idioma
  #  GetText.locale = "pt"
  #  render :action => "entrada"
  #end
  

end
