class CreateSubpartida < ActiveRecord::Migration
  def self.up
    create_table :subpartida do |t|
      t.string :nombre
      t.integer :proyecto_id
      t.timestamps
    end
    add_column :presupuesto, :subpartida_id, :integer
    add_column :gasto, :subpartida_id, :integer

    rename_column :presupuesto, :subpartida, :concepto
    remove_column :gasto, :presupuesto_id
  end

  def self.down
    add_column :gasto, :presupuesto_id, :integer
    rename_column :presupuesto, :concepto, :subpartida
    remove_column :presupuesto, :subpartida_id
    remove_column :gasto, :subpartida_id
    drop_table :subpartida
  end
end
