1	
class VistasInformes < ActiveRecord::Migration
  def self.up
    self.down
     execute <<-__EOI
   CREATE DEFINER=CURRENT_USER FUNCTION `MenorFecha`(Proyecto int) RETURNS date
    DETERMINISTIC
BEGIN
	DECLARE Fecha_min DATE;
	select convert(concat(year(min(Fecha_inicio)),'-',right(concat('0',MONTH(min(Fecha_inicio))),2),'-01'),date)  INTO Fecha_min from actividad where proyecto_id = proyecto;
	RETURN Fecha_min;
END
 ;;
   __EOI
   
    execute <<-__EOI
CREATE ALGORITHM=UNDEFINED DEFINER=CURRENT_USER SQL SECURITY DEFINER VIEW `v_datos_basicos_proyecto_aecid` AS 





 select
P.id,P.nombre,P.titulo,
IFNULL((select nombre_completo from agente a inner join proyecto_x_implementador pxi on  a.id = pxi.agente_id where proyecto_id = P.id LIMIT 1),'')  as  Nombre_Implementadora, 
IFNULL((select nombre_completo from agente a inner join proyecto_x_financiador pxf on  a.id = pxf.agente_id where proyecto_id = P.id LIMIT 1),'')  as  Nombre_Financiador,
PAIS.nombre pais,
'Sin rellenar' as provincia,
'' as socios_locales,
'' as otras_entidades,
(select sum(importe_moneda_base) from v_presupuesto T where T.proyecto_id = P.id)  as Importe_total,
(select sum(importe_moneda_base) from v_presupuesto T where T.proyecto_id = P.id and financiador_nombre='AECID')  as Importe_AECID,
(select sum(importe_moneda_base) from v_presupuesto T where T.proyecto_id = P.id and financiador_nombre<>'AECID')  as Importe_no_AECID,
IFNULL((select Fecha_inicio from etapa where proyecto_id = P.id order by fecha_inicio LIMIT 1),'') as Fecha_Inicio,
IFNULL(concat(convert( TIMESTAMPDIFF(MONTH,(select Fecha_inicio from etapa where proyecto_id = P.id order by fecha_inicio LIMIT 1),(select Fecha_fin from etapa where proyecto_id = P.id order by fecha_fin desc LIMIT 1)) , char(5)) ,'  Meses'),'')  as Duracion,
IFNULL((select Fecha_fin from etapa where proyecto_id = P.id order by fecha_fin desc LIMIT 1),'') as Fecha_fin

from proyecto P 
inner join proyecto_x_pais PXP on PXP.proyecto_id = P.id
inner join pais PAIS on PXP.pais_id = PAIS.id 
inner join datos_proyecto DP on P.id =DP.proyecto_id
;
__EOI









    execute <<-__EOI
CREATE ALGORITHM=UNDEFINED DEFINER=CURRENT_USER SQL SECURITY DEFINER VIEW `v_ejecucion_partidas_y_presupuesto_aecid` AS 

select 
PF.proyecto_id,
PF.id as partida_proyecto_id,
PF.nombre as partida_proyecto_nombre,
IFNULL(sum(T.importe_moneda_base),0) as importe 
FROM


partida_financiacion PF
left join v_presupuesto T on PF.proyecto_id = T.proyecto_id and T.partida_proyecto_id = PF.id
and  T.financiador_nombre = 'AECID'
group BY
PF.proyecto_id,PF.nombre,PF.id
order by PF.id
;    
__EOI



    execute <<-__EOI
CREATE ALGORITHM=UNDEFINED DEFINER=CURRENT_USER SQL SECURITY DEFINER VIEW `v_ejecucion_partidas_y_presupuesto_no_aecid` AS 


select 
PF.proyecto_id,
PF.id as partida_proyecto_id,
PF.nombre as partida_proyecto_nombre,
IFNULL(sum(T.importe_moneda_base),0) as importe 
FROM


partida_financiacion PF
left join v_presupuesto T on PF.proyecto_id = T.proyecto_id and T.partida_proyecto_id = PF.id
and  T.financiador_nombre <> 'AECID'
group BY
PF.proyecto_id,PF.nombre,PF.id
order by PF.id
;

__EOI


    execute <<-__EOI
CREATE ALGORITHM=UNDEFINED DEFINER=CURRENT_USER SQL SECURITY DEFINER VIEW `v_ejecucion_gasto_primer_informe_aecid` AS 

select 
PF.proyecto_id,
PF.id as partida_proyecto_id,
PF.nombre as partida_proyecto_nombre,
IFNULL(sum(T.importe_moneda_base),0) as importe 
FROM


partida_financiacion PF
inner join etapa E on PF.proyecto_id = E.proyecto_id and E.id = (select min(id) from etapa where Proyecto_id = PF.proyecto_id)
left join v_gasto T on PF.proyecto_id = T.proyecto_id and T.partida_proyecto_id = PF.id
and  T.financiador_nombre = 'AECID' and T.fecha BETWEEN E.fecha_inicio and E.fecha_fin 
group BY
PF.proyecto_id,PF.nombre,PF.id
order by PF.id
;
__EOI


    execute <<-__EOI
CREATE ALGORITHM=UNDEFINED DEFINER=CURRENT_USER SQL SECURITY DEFINER VIEW `v_ejecucion_gasto_primer_informe_no_aecid` AS 

select 
PF.proyecto_id,
PF.id as partida_proyecto_id,
PF.nombre as partida_proyecto_nombre,
IFNULL(sum(T.importe_moneda_base),0) as importe 
FROM


partida_financiacion PF
inner join etapa E on PF.proyecto_id = E.proyecto_id and E.id = (select min(id) from etapa where Proyecto_id = PF.proyecto_id)
left join v_gasto T on PF.proyecto_id = T.proyecto_id and T.partida_proyecto_id = PF.id
and  T.financiador_nombre <> 'AECID' and T.fecha BETWEEN E.fecha_inicio and E.fecha_fin 
group BY
PF.proyecto_id,PF.nombre,PF.id
order by PF.id

;
__EOI

    execute <<-__EOI
CREATE ALGORITHM=UNDEFINED DEFINER=CURRENT_USER SQL SECURITY DEFINER VIEW `v_ejecucion_gasto_segundo_informe_aecid` AS 

select 
PF.proyecto_id,
PF.id as partida_proyecto_id,
PF.nombre as partida_proyecto_nombre,
IFNULL(sum(T.importe_moneda_base),0) as importe 
FROM


partida_financiacion PF
inner join etapa E on PF.proyecto_id = E.proyecto_id and E.id = (select max(id) from etapa where Proyecto_id = PF.proyecto_id)
left join v_gasto T on PF.proyecto_id = T.proyecto_id and T.partida_proyecto_id = PF.id
and  T.financiador_nombre = 'AECID' and T.fecha BETWEEN E.fecha_inicio and E.fecha_fin 
group BY
PF.proyecto_id,PF.nombre,PF.id
order by PF.id
;
__EOI


    execute <<-__EOI
CREATE ALGORITHM=UNDEFINED DEFINER=CURRENT_USER SQL SECURITY DEFINER VIEW `v_ejecucion_gasto_segundo_informe_no_aecid` AS 

select 
PF.proyecto_id,
PF.id as partida_proyecto_id,
PF.nombre as partida_proyecto_nombre,
IFNULL(sum(T.importe_moneda_base),0) as importe 
FROM


partida_financiacion PF
inner join etapa E on PF.proyecto_id = E.proyecto_id and E.id = (select max(id) from etapa where Proyecto_id = PF.proyecto_id)
left join v_gasto T on PF.proyecto_id = T.proyecto_id and T.partida_proyecto_id = PF.id
and  T.financiador_nombre <> 'AECID' and T.fecha BETWEEN E.fecha_inicio and E.fecha_fin 
group BY
PF.proyecto_id,PF.nombre,PF.id
order by PF.id
;
__EOI


    execute <<-__EOI
CREATE ALGORITHM=UNDEFINED DEFINER=CURRENT_USER SQL SECURITY DEFINER VIEW `v_ejecucion_gasto_informe_final_aecid` AS 

select 
PF.proyecto_id,
PF.id as partida_proyecto_id,
PF.nombre as partida_proyecto_nombre,
IFNULL(sum(T.importe_moneda_base),0) as importe 
FROM

partida_financiacion PF
left join v_gasto T on PF.proyecto_id = T.proyecto_id and T.partida_proyecto_id = PF.id
and  T.financiador_nombre = 'AECID' 
group BY
PF.proyecto_id,PF.nombre,PF.id
order by PF.id

;
__EOI


    execute <<-__EOI
CREATE ALGORITHM=UNDEFINED DEFINER=CURRENT_USER SQL SECURITY DEFINER VIEW `v_ejecucion_gasto_informe_final_no_aecid` AS 

select 
PF.proyecto_id,
PF.id as partida_proyecto_id,
PF.nombre as partida_proyecto_nombre,
IFNULL(sum(T.importe_moneda_base),0) as importe 
FROM

partida_financiacion PF
left join v_gasto T on PF.proyecto_id = T.proyecto_id and T.partida_proyecto_id = PF.id
and  T.financiador_nombre <> 'AECID' 
group BY
PF.proyecto_id,PF.nombre,PF.id
order by PF.id

;
__EOI


    execute <<-__EOI
CREATE ALGORITHM=UNDEFINED DEFINER=CURRENT_USER SQL SECURITY DEFINER VIEW `v_listado_gastos_x_proyecto_aecid` AS 


select 
GASTOXP.proyecto_id,
convert(GASTO.id,char(50)) as id,
IFNULL(GASTO.fecha,'') as fecha,
IFNULL(emisor_factura,'') as emisor_factura,IFNULL(concepto,'') as concepto,
concat(PF.codigo,' ',PF.nombre) as partida,
convert(IFNULL(
(select sum(importe_moneda_base) from v_gasto where gasto_id = GASTO.id)
,0),char(50)) as importe,
convert(IFNULL(TCG.tasa_cambio,0),char(50)) as Tasa_cambio_divisa,
'' as Tasa_cambio_euro,
convert(IFNULL(
(select sum(importe_moneda_base) from v_gasto where financiador_nombre = 'AECID' and gasto_id = GASTO.id)
,0),char(50)) as Importe_AECID ,
convert(IFNULL(
(select sum(importe_moneda_base) from v_gasto where financiador_id = implementador_id and gasto_id = GASTO.id)
,0),char(50)) as Importe_ONGD ,
convert(IFNULL(
(select sum(importe_moneda_base) from v_gasto where financiador_nombre <> 'AECID' and financiador_id <> implementador_id and gasto_id = GASTO.id)
,0),char(50)) as Importe_OTROS
from gasto GASTO
inner join partida PF on GASTO.partida_id = PF.id
inner join gasto_x_proyecto GASTOXP on GASTOXP.gasto_id = GASTO.id 
inner join tasa_cambio_gasto TCG on GASTO.id = TCG.gasto_id and TCG.proyecto_id = GASTOXP.proyecto_id

;


__EOI


    execute <<-__EOI
CREATE ALGORITHM=UNDEFINED DEFINER=CURRENT_USER SQL SECURITY DEFINER VIEW `v_listado_resultados_actividades_cronograma_aecid` AS 


select 'Resultado' as Tipo,'Resultado' as tipo2,
concat(R.codigo ,' - ', R.descripcion) as nombre,R.id as resultado_id,'0' as actividad_id,R.proyecto_id,
null as Fecha_inicio,
null as fecha_fin
 from resultado R

Union all

select '       ' as tipo,'Real' as tipo2, concat(A.codigo ,' - ', A.descripcion,'   ','(Real)') as nombre,A.resultado_id,A.id as actividad_id,A.proyecto_id,
convert(concat(year(min(G.fecha)),'-',right(concat('0',MONTH(min(G.fecha))),2),'-01'),date) as Fecha_inicio,
convert(concat(year(max(G.fecha)),'-',right(concat('0',MONTH(max(G.fecha))),2),'-01'),date) as fecha_fin
from actividad A 
left join gasto_x_actividad GXA on A.id = GXA.actividad_id and A.proyecto_id = GXA.proyecto_id
left join gasto G on GXA.gasto_id = G.id
group by A.codigo , A.descripcion,A.resultado_id,A.id,A.proyecto_id
union all

select '       ' as tipo,'Prevision' as tipo2,concat(A.codigo ,' - ', A.descripcion) as nombre,A.resultado_id,A.id as actividad_id,A.proyecto_id,
convert(concat(year(fecha_inicio),'-',right(concat('0',MONTH(fecha_inicio)),2),'-01'),date) as Fecha_inicio,
convert(concat(year(fecha_fin),'-',right(concat('0',MONTH(fecha_fin)),2),'-01'),date) as fecha_fin
from actividad A

;
__EOI


    execute <<-__EOI
CREATE ALGORITHM=UNDEFINED DEFINER=CURRENT_USER SQL SECURITY DEFINER VIEW `v_matriz_aecid` AS 

	
select 
'OE' as tipo,
id as id_oe,0 as id_res,0 as id_act,0 as id_ind, 0 as id_fuv,0 as id_hip,
codigo,descripcion,concat(codigo,' - ',descripcion) as nombre,proyecto_id
from objetivo_especifico

union all

select 
'RE' as tipo,
objetivo_especifico_id as id_oe,id as id_res,0 as id_act,0 as id_ind, 0 as id_fuv,0 as id_hip,
codigo,descripcion,concat(codigo,' - ',descripcion) as nombre,proyecto_id
from resultado

union all

select 
'AC' as tipo,
R.objetivo_especifico_id as id_oe,A.resultado_id as id_res,A.id as id_act,0 as id_ind, 0 as id_fuv,0 as id_hip,
A.codigo,A.descripcion,concat(A.codigo,' - ',A.descripcion) as nombre,A.proyecto_id
from actividad A
inner join resultado R on A.resultado_id = R.id and A.proyecto_id = R.proyecto_id

union all

select 
'I' as tipo,
OE.id as id_oe,IFNULL(R.id,0) as id_res,0 as id_act,I.id as id_ind, 0 as id_fuv,0 as id_hip,
I.codigo,I.descripcion,concat(I.codigo,' - ',I.descripcion) as nombre,OE.proyecto_id
from indicador I
left join resultado R on I.resultado_id = R.id
left join objetivo_especifico OE on OE.id = I.objetivo_especifico_id or R.objetivo_especifico_id = OE.id

union all

select 
'H' as tipo,
OE.id as id_oe,IFNULL(R.id,0) as id_res,0 as id_act,0 as id_ind, 0 as id_fuv,H.id as id_hip,
'' as codigo,H.descripcion,H.descripcion as nombre,OE.proyecto_id
from hipotesis H
left join resultado R on H.resultado_id = R.id
left join objetivo_especifico OE on OE.id = H.objetivo_especifico_id or R.objetivo_especifico_id = OE.id

union all

select 
'F' as tipo,
OE.id as id_oe,IFNULL(R.id,0) as id_res,0 as id_act,IFNULL(F.indicador_id,0) as id_ind,F.id as id_fuv,0 as id_hip, 
F.codigo,F.descripcion,concat(F.codigo,' - ',F.descripcion) as nombre,OE.proyecto_id
from fuente_verificacion F
left join resultado R on F.resultado_id = R.id
left join objetivo_especifico OE on OE.id = F.objetivo_especifico_id or R.objetivo_especifico_id = OE.id

;
__EOI



    execute <<-__EOI
CREATE ALGORITHM=UNDEFINED DEFINER=CURRENT_USER SQL SECURITY DEFINER VIEW `v_cronograma_aecid` AS 

	
			
		select 
resultado_id,actividad_id,Proyecto_id,tipo2,
concat(Tipo,' ',Nombre) as Nombre,
case when MenorFecha(proyecto_id) >= A.Fecha_inicio and MenorFecha(proyecto_id)<= A.fecha_fin then 'X'
else ' ' end as '1',
case when DATE_ADD(MenorFecha(proyecto_id), INTERVAL 1 MONTH) >= A.Fecha_inicio and DATE_ADD(MenorFecha(proyecto_id), INTERVAL 1 MONTH)<= A.fecha_fin then 'X'
else ' ' end as '2',
case when DATE_ADD(MenorFecha(proyecto_id), INTERVAL 2 MONTH) >= A.Fecha_inicio and DATE_ADD(MenorFecha(proyecto_id), INTERVAL 2 MONTH)<= A.fecha_fin then 'X'
else ' ' end as '3',
case when DATE_ADD(MenorFecha(proyecto_id), INTERVAL 3 MONTH) >= A.Fecha_inicio and DATE_ADD(MenorFecha(proyecto_id), INTERVAL 3 MONTH)<= A.fecha_fin then 'X'
else ' ' end as '4',
case when DATE_ADD(MenorFecha(proyecto_id), INTERVAL 4 MONTH) >= A.Fecha_inicio and DATE_ADD(MenorFecha(proyecto_id), INTERVAL 4 MONTH)<= A.fecha_fin then 'X'
else ' ' end as '5',
case when DATE_ADD(MenorFecha(proyecto_id), INTERVAL 5 MONTH) >= A.Fecha_inicio and DATE_ADD(MenorFecha(proyecto_id), INTERVAL 5 MONTH)<= A.fecha_fin then 'X'
else ' ' end as '6',
case when DATE_ADD(MenorFecha(proyecto_id), INTERVAL 6 MONTH) >= A.Fecha_inicio and DATE_ADD(MenorFecha(proyecto_id), INTERVAL 6 MONTH)<= A.fecha_fin then 'X'
else ' ' end as '7',
case when DATE_ADD(MenorFecha(proyecto_id), INTERVAL 7 MONTH) >= A.Fecha_inicio and DATE_ADD(MenorFecha(proyecto_id), INTERVAL 7 MONTH)<= A.fecha_fin then 'X'
else ' ' end as '8',
case when DATE_ADD(MenorFecha(proyecto_id), INTERVAL 8 MONTH) >= A.Fecha_inicio and DATE_ADD(MenorFecha(proyecto_id), INTERVAL 8 MONTH)<= A.fecha_fin then 'X'
else ' ' end as '9',
case when DATE_ADD(MenorFecha(proyecto_id), INTERVAL 1 MONTH) >= A.Fecha_inicio and DATE_ADD(MenorFecha(proyecto_id), INTERVAL 9 MONTH)<= A.fecha_fin then 'X'
else ' ' end as '10',
case when DATE_ADD(MenorFecha(proyecto_id), INTERVAL 2 MONTH) >= A.Fecha_inicio and DATE_ADD(MenorFecha(proyecto_id), INTERVAL 10 MONTH)<= A.fecha_fin then 'X'
else ' ' end as '11',
case when DATE_ADD(MenorFecha(proyecto_id), INTERVAL 3 MONTH) >= A.Fecha_inicio and DATE_ADD(MenorFecha(proyecto_id), INTERVAL 11 MONTH)<= A.fecha_fin then 'X'
else ' ' end as '12',
case when DATE_ADD(MenorFecha(proyecto_id), INTERVAL 3 MONTH) >= A.Fecha_inicio and DATE_ADD(MenorFecha(proyecto_id), INTERVAL 12 MONTH)<= A.fecha_fin then 'X'
else ' ' end as '13',
case when DATE_ADD(MenorFecha(proyecto_id), INTERVAL 1 MONTH) >= A.Fecha_inicio and DATE_ADD(MenorFecha(proyecto_id), INTERVAL 13 MONTH)<= A.fecha_fin then 'X'
else ' ' end as '14',
case when DATE_ADD(MenorFecha(proyecto_id), INTERVAL 2 MONTH) >= A.Fecha_inicio and DATE_ADD(MenorFecha(proyecto_id), INTERVAL 14 MONTH)<= A.fecha_fin then 'X'
else ' ' end as '15',
case when DATE_ADD(MenorFecha(proyecto_id), INTERVAL 3 MONTH) >= A.Fecha_inicio and DATE_ADD(MenorFecha(proyecto_id), INTERVAL 15 MONTH)<= A.fecha_fin then 'X'
else ' ' end as '16',
case when DATE_ADD(MenorFecha(proyecto_id), INTERVAL 4 MONTH) >= A.Fecha_inicio and DATE_ADD(MenorFecha(proyecto_id), INTERVAL 16 MONTH)<= A.fecha_fin then 'X'
else ' ' end as '17',
case when DATE_ADD(MenorFecha(proyecto_id), INTERVAL 5 MONTH) >= A.Fecha_inicio and DATE_ADD(MenorFecha(proyecto_id), INTERVAL 17 MONTH)<= A.fecha_fin then 'X'
else ' ' end as '18',
case when DATE_ADD(MenorFecha(proyecto_id), INTERVAL 6 MONTH) >= A.Fecha_inicio and DATE_ADD(MenorFecha(proyecto_id), INTERVAL 18 MONTH)<= A.fecha_fin then 'X'
else ' ' end as '19',
case when DATE_ADD(MenorFecha(proyecto_id), INTERVAL 7 MONTH) >= A.Fecha_inicio and DATE_ADD(MenorFecha(proyecto_id), INTERVAL 19 MONTH)<= A.fecha_fin then 'X'
else ' ' end as '20',
case when DATE_ADD(MenorFecha(proyecto_id), INTERVAL 8 MONTH) >= A.Fecha_inicio and DATE_ADD(MenorFecha(proyecto_id), INTERVAL 20 MONTH)<= A.fecha_fin then 'X'
else ' ' end as '21',
case when DATE_ADD(MenorFecha(proyecto_id), INTERVAL 1 MONTH) >= A.Fecha_inicio and DATE_ADD(MenorFecha(proyecto_id), INTERVAL 21 MONTH)<= A.fecha_fin then 'X'
else ' ' end as '22',
case when DATE_ADD(MenorFecha(proyecto_id), INTERVAL 2 MONTH) >= A.Fecha_inicio and DATE_ADD(MenorFecha(proyecto_id), INTERVAL 22 MONTH)<= A.fecha_fin then 'X'
else ' ' end as '23',
case when DATE_ADD(MenorFecha(proyecto_id), INTERVAL 3 MONTH) >= A.Fecha_inicio and DATE_ADD(MenorFecha(proyecto_id), INTERVAL 23 MONTH)<= A.fecha_fin then 'X'
else ' ' end as '24',
case when DATE_ADD(MenorFecha(proyecto_id), INTERVAL 3 MONTH) >= A.Fecha_inicio and DATE_ADD(MenorFecha(proyecto_id), INTERVAL 24 MONTH)<= A.fecha_fin then 'X'
else ' ' end as '25',
case when DATE_ADD(MenorFecha(proyecto_id), INTERVAL 1 MONTH) >= A.Fecha_inicio and DATE_ADD(MenorFecha(proyecto_id), INTERVAL 25 MONTH)<= A.fecha_fin then 'X'
else ' ' end as '26',
case when DATE_ADD(MenorFecha(proyecto_id), INTERVAL 2 MONTH) >= A.Fecha_inicio and DATE_ADD(MenorFecha(proyecto_id), INTERVAL 26 MONTH)<= A.fecha_fin then 'X'
else ' ' end as '27',
case when DATE_ADD(MenorFecha(proyecto_id), INTERVAL 3 MONTH) >= A.Fecha_inicio and DATE_ADD(MenorFecha(proyecto_id), INTERVAL 27 MONTH)<= A.fecha_fin then 'X'
else ' ' end as '28',
case when DATE_ADD(MenorFecha(proyecto_id), INTERVAL 4 MONTH) >= A.Fecha_inicio and DATE_ADD(MenorFecha(proyecto_id), INTERVAL 28 MONTH)<= A.fecha_fin then 'X'
else ' ' end as '29',
case when DATE_ADD(MenorFecha(proyecto_id), INTERVAL 5 MONTH) >= A.Fecha_inicio and DATE_ADD(MenorFecha(proyecto_id), INTERVAL 29 MONTH)<= A.fecha_fin then 'X'
else ' ' end as '30',
case when DATE_ADD(MenorFecha(proyecto_id), INTERVAL 6 MONTH) >= A.Fecha_inicio and DATE_ADD(MenorFecha(proyecto_id), INTERVAL 30 MONTH)<= A.fecha_fin then 'X'
else ' ' end as '31',
case when DATE_ADD(MenorFecha(proyecto_id), INTERVAL 7 MONTH) >= A.Fecha_inicio and DATE_ADD(MenorFecha(proyecto_id), INTERVAL 31 MONTH)<= A.fecha_fin then 'X'
else ' ' end as '32',
case when DATE_ADD(MenorFecha(proyecto_id), INTERVAL 8 MONTH) >= A.Fecha_inicio and DATE_ADD(MenorFecha(proyecto_id), INTERVAL 32 MONTH)<= A.fecha_fin then 'X'
else ' ' end as '33',
case when DATE_ADD(MenorFecha(proyecto_id), INTERVAL 1 MONTH) >= A.Fecha_inicio and DATE_ADD(MenorFecha(proyecto_id), INTERVAL 33 MONTH)<= A.fecha_fin then 'X'
else ' ' end as '34',
case when DATE_ADD(MenorFecha(proyecto_id), INTERVAL 2 MONTH) >= A.Fecha_inicio and DATE_ADD(MenorFecha(proyecto_id), INTERVAL 34 MONTH)<= A.fecha_fin then 'X'
else ' ' end as '35',
case when DATE_ADD(MenorFecha(proyecto_id), INTERVAL 3 MONTH) >= A.Fecha_inicio and DATE_ADD(MenorFecha(proyecto_id), INTERVAL 35 MONTH)<= A.fecha_fin then 'X'
else ' ' end as '36'

 from 
v_listado_resultados_actividades_cronograma_aecid A

;
__EOI


  end

  def self.down
  	execute "DROP FUNCTION IF EXISTS `MenorFecha`"
    execute "DROP VIEW IF EXISTS `v_datos_basicos_proyecto_aecid`"
    execute "DROP VIEW IF EXISTS `v_ejecucion_partidas_y_presupuesto_aecid`"

    execute "DROP VIEW IF EXISTS v_ejecucion_partidas_y_presupuesto_no_aecid"

    execute "DROP VIEW IF EXISTS `v_ejecucion_gasto_primer_informe_aecid`"
    execute "DROP VIEW IF EXISTS `v_ejecucion_gasto_primer_informe_no_aecid`"
    execute "DROP VIEW IF EXISTS `v_ejecucion_gasto_segundo_informe_aecid`"
    execute "DROP VIEW IF EXISTS `v_ejecucion_gasto_segundo_informe_no_aecid`"
    execute "DROP VIEW IF EXISTS `v_ejecucion_gasto_informe_final_aecid`"
    execute "DROP VIEW IF EXISTS `v_ejecucion_gasto_informe_final_no_aecid`"
    execute "DROP VIEW IF EXISTS `v_listado_gastos_x_proyecto_aecid`"
    execute "DROP VIEW IF EXISTS `v_listado_resultados_actividades_cronograma_aecid`"
    execute "DROP VIEW IF EXISTS `v_matriz_aecid`"
    execute "DROP VIEW IF EXISTS `v_cronograma_aecid`"


    
  end	
end
