class AddIndicadorConvenioToIndicador < ActiveRecord::Migration
  def self.up
    add_column :indicador, :indicador_convenio_id, :integer
    # Recargamos la info de la clase
    Indicador.reset_column_information
    # Para todos los indicadores, buscamos si son de pac y les asignamos el indicador del convenio si existe 
    Indicador.all.each do |indicador|
      objeto = (indicador.objetivo_especifico || indicador.resultado)

      # En el caso de que no haya oe ni resultado, sacamos un aviso 
      unless objeto 
        puts "-----------> OJO!!! El indicador con id " + indicador.id.to_s + " no esta asociado a OE ni Resultado."
        #indicador.destroy
      end
      
      # Si el indicador es de pac
      if objeto && objeto.proyecto && objeto.proyecto.convenio_id
        convenio_id = objeto.proyecto.convenio_id
        ind_convenio = Indicador.first(:include => ["objetivo_especifico","resultado"], :conditions => ["indicador.codigo = ? AND (objetivo_especifico.proyecto_id = ? OR resultado.proyecto_id = ?)", indicador.codigo, convenio_id, convenio_id])
        if ind_convenio
          indicador.indicador_convenio_id = ind_convenio.id
          indicador.save
        end
      end
    end
  end

  def self.down
    remove_column :indicador, :indicador_convenio_id
  end
end
