class AddPartidaIdToSubpartida < ActiveRecord::Migration
  def self.up
    add_column :subpartida, :partida_id, :integer
    Subpartida.reset_column_information
    # Recorre todas las subpartidas para asignarles la partida adecuada
    Subpartida.all.each do |subpartida|
      # Obtiene la linea de presupuesto adecuada
      objeto = subpartida.presupuesto.first
      if objeto
        partida_id = objeto.partida_id
        subpartida.partida_id = partida_id
        subpartida.proyecto_id = objeto.proyecto_id if objeto.proyecto_id
        subpartida.agente_id = objeto.agente_id if objeto.proyecto_id.nil? && objeto.agente_id
        subpartida.save
        puts "---------> Hubo un error con la subpartida: " + subpartida.inspect + "\n" + subpartida.errors.inspect unless subpartida.errors.empty?
      end
    end
  end

  def self.down
    remove_column :subpartida, :partida_id
  end
end
