class MultiespacioXDocumento < ActiveRecord::Migration
  def self.up
    add_column :documento, :proyecto_id, :integer
    Documento.reset_column_information   
    Documento.all.each do |d|
      if d.espacio_id
        e = Espacio.find(d.espacio_id)
        d.update_attribute(:proyecto_id, e.proyecto_id) if e.proyecto_id #Si está en el raiz de uno de los espacios de proyecto
        d.update_attribute(:proyecto_id, e.espacio_padre.proyecto_id)  if e.definicion_espacio #Si esta en algun sub-espacio del proyecto    
      end
    end
    
    create_table :documento_x_espacio do |t|
      t.integer :espacio_id
      t.string :documento_id
      t.datetime "created_at"
      t.datetime "updated_at"
    end 
    DocumentoXEspacio.reset_column_information
    Documento.all.each do |d|
      DocumentoXEspacio.create :documento_id => d.id,:espacio_id => d.espacio_id
    end
    remove_column :documento, :espacio_id
  end

  def self.down
    add_column :documento, :espacio_id, :integer
    Documento.reset_column_information
    DocumentoXEspacio.all.each do |dxe|
      documento = Documento.find dxe.documento_id
      documento.update_attribute "espacio_id", dxe.espacio_id
    end
    drop_table :documento_x_espacio 
    remove_column :documento, :proyecto_id
  end
end
