class DocumentosAgente < ActiveRecord::Migration
  def self.up
    add_column :documento, :agente_id, :integer
    add_column :espacio, :agente_id, :integer
    add_column :espacio, :definicion_espacio_agente, :boolean
    add_column :espacio, :definicion_espacio_agente_id, :integer
    Espacio.reset_column_information
    if Agente.count > 0
      espacio_agentes = Espacio.find_or_create_by_nombre_and_descripcion :nombre => "Agentes", :descripcion => "Espacio base de los espacios de agente" 
      UsuarioXAgente.all.each do |uxa|
        Espacio.create :nombre => uxa.agente.nombre, :agente_id => uxa.agente_id, :espacio_padre_id => espacio_agentes.id, 
                       :descripcion => ("Espacio raiz del agente: " + uxa.agente.nombre) unless uxa.agente.espacio
      end
      espacio_transferencia =  Espacio.create :nombre => "Transferencias", :definicion_espacio_agente => true, :transferencia => true
      espacio_transferencia =  Espacio.create :nombre => "Gastos", :definicion_espacio_agente => true, :gasto => true
    end
  end

  def self.down
    Espacio.find_by_nombre_and_definicion_espacio_agente_and_transferencia("Transferencias", true, true).destroy
    Espacio.find_by_nombre_and_definicion_espacio_agente_and_gasto("Gastos", true, true).destroy
    UsuarioXAgente.all.each do |uxa|
      Espacio.find_by_nombre_and_agente_id(uxa.agente.nombre, uxa.agente_id).destroy
    end
    Espacio.find_by_nombre_and_descripcion("Agentes", "Espacio base de los espacios de agente").destroy
    remove_column :documento, :agente_id
    remove_column :espacio, :agente_id
    remove_column :espacio, :definicion_espacio_agente
    remove_column :espacio, :definicion_espacio_agente_id
  end
end
