class AddActividadConvenioToActividad < ActiveRecord::Migration
  def self.up
    add_column :actividad, :actividad_convenio_id, :integer
    # Recargamos la info de la clase
    Actividad.reset_column_information
    # Para todas las actividades, buscamos si son de pac y les asignamos la actividad del convenio si existe 
    Actividad.all.each do |actividad|
      # Si la actividad es de pac
      if actividad.proyecto && actividad.proyecto.convenio_id
        convenio_id = actividad.proyecto.convenio_id
        act_convenio = Actividad.first(:conditions => {:codigo => actividad.codigo, :proyecto_id => convenio_id})
        if act_convenio
          actividad.actividad_convenio_id = act_convenio.id
          actividad.save
        end
      end
    end
  end

  def self.down
    remove_column :actividad, :actividad_convenio_id
  end
end
