class Vista08 < ActiveRecord::Migration
  def self.up
    
execute "DROP VIEW IF EXISTS `v_gasto_agente`;"

execute <<-__EOI
CREATE ALGORITHM=UNDEFINED DEFINER=CURRENT_USER SQL SECURITY DEFINER VIEW `v_gasto_agente` AS 

select 
A.id as implementador_id, A.nombre as implementador_nombre,
PT.id as partida_id,PT.nombre as partida_nombre,
G.id as gasto_id,
G.moneda_id as moneda_id,
GXP.proyecto_id as proyecto_id,
P.nombre as proyecto_nombre,
M.abreviatura as moneda_nombre,
A.moneda_id as moneda_base_id,
MAUX.nombre as moneda_base_nombre,
IFNULL(TC.tasa_cambio,0) as tasa_cambio,
SP.id as subpartida_id,
SP.nombre as subpartida_nombre,
G.fecha,
GXP.importe as importe,
GXP.importe * tasa_cambio as importe_moneda_base

from gasto G
inner join agente A on A.id = G.agente_id
inner join gasto_x_proyecto GXP on GXP.gasto_id = G.id
left join proyecto P on GXP.proyecto_id = P.id
inner join moneda M on G.moneda_id = M.id
inner join partida PT on G.partida_id = PT.id
inner join moneda MAUX on MAUX.id = A.moneda_id
left join tasa_cambio TC on TC.id = G.agente_tasa_cambio_id
left join subpartida SP on SP.id = G.subpartida_agente_id 
;
__EOI

  end

  def self.down
execute "DROP VIEW IF EXISTS `v_gasto_agente`;"
  end
end
