class CreateGrupoDatoDinamico < ActiveRecord::Migration
  def up
    create_table :grupo_dato_dinamico do |t|
      t.string :nombre
      t.integer :rango
      t.timestamps
    end
    add_column :definicion_dato, :grupo_dato_dinamico_id, :integer
    DefinicionDato.reset_column_information
    DefinicionDato.all.each do |dd|
      gdd = GrupoDatoDinamico.find_or_create_by_nombre(dd.pestana.capitalize)
      dd.update_attribute(:grupo_dato_dinamico_id, gdd.id)
    end
    remove_column :definicion_dato, :pestana
  end

  def down
    add_column :definicion_dato, :pestana, :string 
    DefinicionDato.reset_column_information
    DefinicionDato.all.each do |dd|
      dd.update_attribute(:pestana, dd.grupo_dato_dinamico.nombre) if dd.grupo_dato_dinamico
    end
    drop_table :grupo_dato_dinamico
    remove_column :definicion_dato, :grupo_dato_dinamico_id
  end
end
