# encoding: UTF-8
class AddEspaciosSocias < ActiveRecord::Migration
  def up
    # Crea campo 
    add_column :espacio, :definicion_espacio_socia, :boolean, :default => false
    add_column :espacio, :definicion_espacio_socia_id, :integer

    # Recarga la informacion de Espacio con los cambios anteriores
    Espacio.reset_column_information

    # Genera los espacios raiz de socias (inicialmente una copia de implementadores)
    Espacio.all(:conditions => {:definicion_espacio_agente => true}).each do |esp|
      espacio_socia = esp.dup
      espacio_socia.definicion_espacio_agente = false
      espacio_socia.definicion_espacio_socia = true
      espacio_socia.espacio_padre_id = nil
      esp_padre_viejo = Espacio.find_by_id(esp.espacio_padre_id)
      esp_padre = Espacio.first(:conditions => {:nombre => esp_padre_viejo.nombre, :definicion_espacio_socia => true}) if esp_padre_viejo
      espacio_socia.espacio_padre_id = esp_padre ? esp_padre.id : nil
      espacio_socia.save
    end

    # Recorre todas las socias para cambiar los documentos de sitio
    #Agente.all(:conditions => {:socia_local => true}) {
    #}
  end

  def down
    # Si se da marcha atras, va a haber un problema de consistencia entre los agentes y sus espacios!!!
    # Elimina los campos
    remove_column :espacio, :definicion_espacio_socia
    remove_column :espacio, :definicion_espacio_socia_id
  end
end
