# encoding: UTF-8
# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# Note that this schema.rb definition is the authoritative source for your
# database schema. If you need to create the application database on another
# system, you should be using db:schema:load, not running all the migrations
# from scratch. The latter is a flawed and unsustainable approach (the more migrations
# you'll amass, the slower it'll run and the greater likelihood for issues).
#
# It's strongly recommended to check this file into your version control system.

ActiveRecord::Schema.define(:version => 20130522152613) do

  create_table "actividad", :force => true do |t|
    t.string   "codigo"
    t.text     "descripcion"
    t.integer  "proyecto_id"
    t.integer  "resultado_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer  "actividad_convenio_id"
  end

  create_table "actividad_detallada", :force => true do |t|
    t.integer  "mes"
    t.integer  "etapa_id"
    t.integer  "actividad_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.boolean  "seguimiento",  :default => false
  end

  create_table "actividad_x_etapa", :force => true do |t|
    t.integer  "actividad_id"
    t.integer  "etapa_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "actividad_x_pais", :force => true do |t|
    t.integer  "actividad_id"
    t.integer  "pais_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "agente", :force => true do |t|
    t.string  "nombre"
    t.string  "nombre_completo"
    t.boolean "financiador"
    t.boolean "implementador"
    t.integer "moneda_id"
    t.integer "moneda_intermedia_id"
    t.integer "pais_id"
    t.boolean "socia_local",          :default => false
  end

  create_table "agente_x_moneda", :force => true do |t|
    t.integer  "moneda_id"
    t.integer  "agente_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "area_actuacion", :force => true do |t|
    t.string "nombre"
    t.text   "descripcion"
  end

  create_table "area_geografica", :force => true do |t|
    t.string   "nombre"
    t.text     "descripcion"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "comentario", :force => true do |t|
    t.integer  "tarea_id"
    t.integer  "documento_id"
    t.integer  "usuario_id"
    t.text     "texto"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer  "subactividad_id"
    t.integer  "gasto_id"
    t.integer  "presupuesto_id"
    t.integer  "actividad_id"
    t.integer  "indicador_id"
    t.integer  "fuente_verificacion_id"
  end

  create_table "comunidad", :force => true do |t|
    t.string   "nombre"
    t.integer  "provincia_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "dato_cadena", :force => true do |t|
    t.string   "dato"
    t.integer  "proyecto_id"
    t.integer  "definicion_dato_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "dato_integro", :force => true do |t|
    t.integer  "dato"
    t.integer  "proyecto_id"
    t.integer  "definicion_dato_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "dato_texto", :force => true do |t|
    t.text     "dato"
    t.integer  "proyecto_id"
    t.integer  "definicion_dato_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "datos_proyecto", :force => true do |t|
    t.integer "proyecto_id"
    t.integer "beneficiarios_directos_hombres"
    t.integer "beneficiarios_directos_mujeres"
    t.integer "beneficiarios_indirectos_hombres"
    t.integer "beneficiarios_indirectos_mujeres"
    t.integer "beneficiarios_directos_sin_especificar"
    t.integer "beneficiarios_indirectos_sin_especificar"
    t.integer "poblacion_total_de_la_zona"
  end

  create_table "datos_tarjeta_socio", :force => true do |t|
    t.integer  "informacion_socio_id"
    t.string   "tipo_tarjeta"
    t.string   "numero_tarjeta"
    t.date     "fecha_caducidad"
    t.integer  "numero_verificacion"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "definicion_dato", :force => true do |t|
    t.string   "nombre"
    t.string   "rotulo"
    t.string   "tipo"
    t.integer  "rango"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer  "grupo_dato_dinamico_id"
  end

  create_table "definicion_estado", :force => true do |t|
    t.string   "nombre"
    t.text     "descripcion"
    t.integer  "estado_padre_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.boolean  "primer_estado"
    t.boolean  "formulacion"
    t.boolean  "aprobado"
    t.boolean  "cerrado"
    t.integer  "orden"
  end

  create_table "definicion_estado_tarea", :force => true do |t|
    t.text     "titulo"
    t.text     "descripcion"
    t.integer  "tipo_tarea_id"
    t.integer  "estado_tarea_id"
    t.integer  "definicion_estado_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "definicion_estado_x_definicion_dato", :force => true do |t|
    t.integer  "definicion_estado_id"
    t.integer  "definicion_dato_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "definicion_estado_x_definicion_estado", :force => true do |t|
    t.integer  "definicion_estado_padre_id"
    t.integer  "definicion_estado_hijo_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "definicion_estado_x_etiqueta", :force => true do |t|
    t.integer  "definicion_estado_id"
    t.integer  "etiqueta_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "documento", :force => true do |t|
    t.string   "adjunto_file_name"
    t.string   "adjunto_content_type"
    t.integer  "adjunto_file_size"
    t.text     "descripcion"
    t.string   "tipo"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer  "usuario_id"
    t.integer  "proyecto_id"
    t.integer  "agente_id"
  end

  create_table "documento_x_espacio", :force => true do |t|
    t.integer  "espacio_id"
    t.string   "documento_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "espacio", :force => true do |t|
    t.text     "nombre"
    t.text     "descripcion"
    t.integer  "espacio_padre_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer  "proyecto_id"
    t.boolean  "espacio_de_proyecto"
    t.boolean  "definicion_espacio_proyecto"
    t.integer  "definicion_espacio_proyecto_id"
    t.integer  "agente_id"
    t.boolean  "definicion_espacio_agente"
    t.integer  "definicion_espacio_agente_id"
    t.boolean  "ocultar"
    t.boolean  "modificable",                       :default => true
    t.boolean  "definicion_espacio_financiador",    :default => false
    t.integer  "definicion_espacio_financiador_id"
    t.integer  "pais_id"
    t.boolean  "definicion_espacio_pais",           :default => false
    t.integer  "definicion_espacio_pais_id"
    t.boolean  "definicion_espacio_socia",          :default => false
    t.integer  "definicion_espacio_socia_id"
  end

  create_table "estado", :force => true do |t|
    t.integer  "definicion_estado_id"
    t.integer  "proyecto_id"
    t.date     "fecha_inicio"
    t.date     "fecha_fin"
    t.text     "observacion"
    t.integer  "usuario_id"
    t.boolean  "estado_actual"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "estado_tarea", :force => true do |t|
    t.string   "nombre"
    t.text     "descripcion"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.boolean  "activo"
    t.boolean  "seleccionable", :default => true
  end

  create_table "etapa", :force => true do |t|
    t.string  "nombre"
    t.date    "fecha_inicio"
    t.date    "fecha_fin"
    t.string  "descripcion"
    t.integer "proyecto_id"
    t.integer "agente_id"
    t.boolean "cerrada",             :default => false
    t.boolean "saldos_transferidos", :default => false
  end

  create_table "etiqueta", :force => true do |t|
    t.string   "nombre"
    t.text     "descripcion"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string   "tipo"
  end

  create_table "etiqueta_x_documento", :force => true do |t|
    t.integer "etiqueta_id",  :null => false
    t.integer "documento_id", :null => false
  end

  create_table "forma_pago_socio", :force => true do |t|
    t.string "forma_pago"
  end

  create_table "fuente_verificacion", :force => true do |t|
    t.string   "codigo"
    t.text     "descripcion"
    t.integer  "indicador_id"
    t.integer  "objetivo_especifico_id"
    t.integer  "resultado_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.boolean  "completada",                      :default => false
    t.integer  "fuente_verificacion_convenio_id"
  end

  create_table "fuente_verificacion_x_documento", :force => true do |t|
    t.integer  "fuente_verificacion_id"
    t.integer  "documento_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "gasto", :force => true do |t|
    t.decimal  "importe",               :precision => 24, :scale => 2
    t.decimal  "impuestos",             :precision => 24, :scale => 2, :default => 0.0
    t.integer  "partida_id"
    t.integer  "moneda_id"
    t.string   "observaciones"
    t.string   "numero_factura"
    t.string   "emisor_factura"
    t.date     "fecha"
    t.string   "concepto"
    t.string   "dni_emisor"
    t.date     "fecha_informe"
    t.integer  "agente_id"
    t.integer  "proyecto_origen_id"
    t.integer  "marcado_id"
    t.integer  "subpartida_agente_id"
    t.integer  "agente_tasa_cambio_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer  "orden_factura_agente"
    t.integer  "marcado_agente_id"
  end

  create_table "gasto_x_actividad", :force => true do |t|
    t.integer "gasto_id"
    t.integer "actividad_id"
    t.integer "proyecto_id"
    t.decimal "importe",      :precision => 24, :scale => 2, :default => 0.0
  end

  create_table "gasto_x_agente", :force => true do |t|
    t.integer "agente_id"
    t.integer "gasto_id"
    t.integer "proyecto_id"
    t.decimal "importe",     :precision => 24, :scale => 2, :default => 0.0
  end

  create_table "gasto_x_documento", :force => true do |t|
    t.integer  "gasto_id"
    t.integer  "documento_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "gasto_x_proyecto", :force => true do |t|
    t.integer "proyecto_id"
    t.integer "gasto_id"
    t.string  "orden_factura"
    t.integer "subpartida_id"
    t.decimal "importe",             :precision => 24, :scale => 2, :default => 0.0
    t.integer "tasa_cambio_id"
    t.integer "marcado_proyecto_id"
  end

  create_table "gasto_x_transferencia", :force => true do |t|
    t.integer  "gasto_id"
    t.integer  "transferencia_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "grupo_dato_dinamico", :force => true do |t|
    t.string   "nombre"
    t.integer  "rango"
    t.datetime "created_at", :null => false
    t.datetime "updated_at", :null => false
  end

  create_table "hipotesis", :force => true do |t|
    t.text     "descripcion"
    t.integer  "objetivo_especifico_id"
    t.integer  "resultado_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "indicador", :force => true do |t|
    t.string   "codigo"
    t.text     "descripcion"
    t.integer  "objetivo_especifico_id"
    t.integer  "resultado_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer  "indicador_convenio_id"
  end

  create_table "informacion_socio", :force => true do |t|
    t.integer "socio_id"
    t.date    "fecha_alta"
    t.date    "fecha_baja"
    t.date    "fecha_alta_sistema"
    t.decimal "importe_cuota",             :precision => 24, :scale => 2, :default => 0.0
    t.string  "calendario_pagos"
    t.text    "motivo_baja"
    t.boolean "enviar_periodica"
    t.boolean "enviar_puntual"
    t.boolean "enviar_182"
    t.date    "fecha_carta_bienvenida"
    t.date    "fecha_envio_documentacion"
    t.date    "fecha_envio_carne"
    t.integer "origen_socio_id",                                          :default => 1
    t.text    "comentario_origen_socio"
    t.integer "forma_pago_socio_id",                                      :default => 1
    t.boolean "activo"
    t.integer "tipo_cuota_socio_id",                                      :default => 1
  end

  create_table "ingreso", :force => true do |t|
    t.decimal "importe",       :precision => 24, :scale => 2, :default => 0.0
    t.integer "proyecto_id"
    t.integer "libro_id"
    t.integer "moneda_id"
    t.integer "agente_id"
    t.string  "tipo"
    t.string  "observaciones"
    t.date    "fecha"
  end

  create_table "libro", :force => true do |t|
    t.string  "nombre"
    t.integer "moneda_id"
    t.integer "agente_id"
    t.string  "cuenta"
    t.string  "descripcion"
    t.string  "tipo"
    t.integer "pais_id"
    t.string  "iban"
    t.string  "swift"
    t.boolean "bloqueado",   :default => false
  end

  create_table "libro_x_proyecto", :force => true do |t|
    t.integer "libro_id"
    t.integer "proyecto_id"
  end

  create_table "marcado", :force => true do |t|
    t.text     "nombre"
    t.text     "descripcion"
    t.text     "color"
    t.boolean  "primer_estado"
    t.integer  "marcado_padre_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.boolean  "automatico",       :default => false
    t.boolean  "error",            :default => false
  end

  create_table "moneda", :force => true do |t|
    t.string "nombre"
    t.string "abreviatura"
  end

  create_table "moneda_x_pais", :force => true do |t|
    t.integer  "moneda_id"
    t.integer  "pais_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "municipio", :force => true do |t|
    t.string   "nombre"
    t.integer  "comunidad_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "naturaleza_socio", :force => true do |t|
    t.string "naturaleza"
  end

  create_table "objetivo_especifico", :force => true do |t|
    t.string   "codigo"
    t.text     "descripcion"
    t.integer  "proyecto_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "origen_socio", :force => true do |t|
    t.string "origen"
  end

  create_table "pago", :force => true do |t|
    t.decimal  "importe",         :precision => 24, :scale => 2, :default => 0.0
    t.date     "fecha"
    t.integer  "gasto_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer  "libro_id"
    t.string   "observaciones"
    t.string   "forma_pago"
    t.string   "referencia_pago"
  end

  create_table "pago_socio", :force => true do |t|
    t.string  "concepto"
    t.date    "fecha_emision"
    t.date    "fecha_pago"
    t.decimal "importe",             :precision => 24, :scale => 2, :default => 0.0
    t.text    "comentario"
    t.date    "fecha_alta_sistema"
    t.integer "socio_id"
    t.integer "forma_pago_socio_id"
  end

  create_table "pais", :force => true do |t|
    t.string  "nombre"
    t.integer "area_geografica_id"
  end

  create_table "partida", :force => true do |t|
    t.string  "nombre"
    t.string  "codigo"
    t.string  "descripcion"
    t.string  "tipo"
    t.boolean "ocultar_agente"
  end

  create_table "partida_financiacion", :force => true do |t|
    t.string  "nombre"
    t.string  "codigo"
    t.string  "descripcion"
    t.integer "proyecto_id"
    t.string  "tipo"
    t.boolean "puede_ser_padre"
    t.integer "partida_financiacion_id"
    t.boolean "padre"
  end

  create_table "partida_financiacion_x_partida_financiacion", :force => true do |t|
    t.integer "partida_padre_id"
    t.integer "partida_hijo_id"
  end

  create_table "partida_x_partida_financiacion", :force => true do |t|
    t.integer "partida_financiacion_id"
    t.integer "partida_id"
  end

  create_table "presupuesto", :force => true do |t|
    t.decimal "importe",         :precision => 24, :scale => 2
    t.string  "concepto"
    t.string  "observaciones"
    t.integer "partida_id"
    t.integer "moneda_id"
    t.integer "agente_id"
    t.integer "libro_id"
    t.decimal "coste_unitario",  :precision => 24, :scale => 2
    t.integer "numero_unidades"
    t.integer "subpartida_id"
    t.string  "unidad"
    t.integer "proyecto_id"
    t.integer "etapa_id"
    t.integer "marcado_id"
    t.integer "tasa_cambio_id"
  end

  create_table "presupuesto_detallado", :force => true do |t|
    t.integer "presupuesto_id"
    t.decimal "importe",        :precision => 24, :scale => 2
    t.date    "fecha_inicio"
    t.date    "fecha_fin"
    t.string  "nombre"
    t.integer "mes"
  end

  create_table "presupuesto_x_actividad", :force => true do |t|
    t.integer "presupuesto_id"
    t.integer "actividad_id"
    t.decimal "importe",         :precision => 24, :scale => 2
    t.integer "numero_unidades"
  end

  create_table "presupuesto_x_agente", :force => true do |t|
    t.integer "agente_id"
    t.integer "presupuesto_id"
    t.decimal "importe",        :precision => 24, :scale => 2
  end

  create_table "provincia", :force => true do |t|
    t.string   "nombre"
    t.integer  "pais_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "proyecto", :force => true do |t|
    t.string  "nombre"
    t.text    "titulo"
    t.integer "pais_id"
    t.integer "agente_id"
    t.integer "moneda_id"
    t.integer "moneda_intermedia_id"
    t.integer "convenio_id"
    t.string  "convenio_accion"
    t.integer "libro_id"
    t.date    "fecha_convocatoria"
    t.integer "pais_principal_id"
  end

  create_table "proyecto_x_area_actuacion", :force => true do |t|
    t.integer  "proyecto_id"
    t.integer  "area_actuacion_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "proyecto_x_definicion_dato", :force => true do |t|
    t.integer  "proyecto_id"
    t.integer  "definicion_dato_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "proyecto_x_financiador", :force => true do |t|
    t.integer "agente_id"
    t.integer "proyecto_id"
  end

  create_table "proyecto_x_implementador", :force => true do |t|
    t.integer "agente_id"
    t.integer "proyecto_id"
  end

  create_table "proyecto_x_moneda", :force => true do |t|
    t.integer  "proyecto_id"
    t.integer  "moneda_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "proyecto_x_pais", :force => true do |t|
    t.integer  "proyecto_id"
    t.integer  "pais_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "proyecto_x_proyecto", :force => true do |t|
    t.integer  "proyecto_id"
    t.integer  "proyecto_cofinanciador_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal  "importe",                   :precision => 24, :scale => 2, :default => 0.0
    t.boolean  "financiacion_privada",                                     :default => false
    t.boolean  "financiacion_publica",                                     :default => false
  end

  create_table "proyecto_x_sector_intervencion", :force => true do |t|
    t.integer  "proyecto_id"
    t.integer  "sector_intervencion_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "proyecto_x_sector_poblacion", :force => true do |t|
    t.integer  "proyecto_id"
    t.integer  "sector_poblacion_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "resultado", :force => true do |t|
    t.string   "codigo"
    t.text     "descripcion"
    t.integer  "proyecto_id"
    t.integer  "objetivo_especifico_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "sector_intervencion", :force => true do |t|
    t.string "nombre"
    t.text   "descripcion"
  end

  create_table "sector_poblacion", :force => true do |t|
    t.string "nombre"
    t.text   "descripcion"
  end

  create_table "sessions", :force => true do |t|
    t.string   "session_id", :null => false
    t.text     "data"
    t.datetime "created_at", :null => false
    t.datetime "updated_at", :null => false
  end

  add_index "sessions", ["session_id"], :name => "index_sessions_on_session_id"
  add_index "sessions", ["updated_at"], :name => "index_sessions_on_updated_at"

  create_table "socio", :force => true do |t|
    t.string  "nombre"
    t.string  "apellido1"
    t.string  "apellido2"
    t.string  "tratamiento"
    t.string  "NIF"
    t.string  "NIF_representante"
    t.string  "sexo"
    t.date    "fecha_nacimiento"
    t.string  "direccion"
    t.string  "localidad"
    t.string  "codigo_postal"
    t.string  "provincia",               :default => ""
    t.string  "comunidad"
    t.string  "municipio"
    t.string  "codigo_provincia_fiscal"
    t.string  "pais"
    t.string  "email"
    t.string  "telefono_fijo"
    t.string  "telefono_movil"
    t.text    "comentarios"
    t.integer "naturaleza_socio_id",     :default => 1
  end

  create_table "subactividad", :force => true do |t|
    t.integer  "actividad_id"
    t.text     "descripcion"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.text     "responsables_ejecucion"
    t.text     "descripcion_detallada"
    t.text     "comentarios_ejecucion"
  end

  create_table "subactividad_detallada", :force => true do |t|
    t.integer  "mes"
    t.integer  "etapa_id"
    t.integer  "subactividad_id"
    t.boolean  "seguimiento",     :default => false
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "subpartida", :force => true do |t|
    t.string   "nombre"
    t.integer  "proyecto_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer  "numero"
    t.integer  "agente_id"
    t.integer  "partida_id"
  end

  create_table "subtipo_movimiento", :force => true do |t|
    t.string   "nombre"
    t.string   "descripcion"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string   "tipo_asociado"
  end

  create_table "tarea", :force => true do |t|
    t.string   "titulo"
    t.text     "descripcion"
    t.integer  "tipo_tarea_id"
    t.integer  "proyecto_id"
    t.integer  "usuario_id"
    t.integer  "usuario_asignado_id"
    t.date     "fecha_inicio"
    t.date     "fecha_fin"
    t.integer  "porcentage_implementacion"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer  "estado_tarea_id"
    t.date     "fecha_prevista"
    t.integer  "horas_empleadas"
    t.integer  "agente_id"
  end

  create_table "tasa_cambio", :force => true do |t|
    t.integer  "etapa_id"
    t.date     "fecha_inicio"
    t.date     "fecha_fin"
    t.boolean  "tasa_fija",                                         :default => true
    t.string   "objeto",                                            :default => "presupuesto"
    t.integer  "moneda_id"
    t.decimal  "tasa_cambio",        :precision => 15, :scale => 8
    t.decimal  "tasa_cambio_divisa", :precision => 15, :scale => 8, :default => 0.0
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer  "agente_id"
  end

  create_table "tipo_cuota_socio", :force => true do |t|
    t.string  "tipo_cuota"
    t.integer "meses",      :default => 1
  end

  create_table "tipo_tarea", :force => true do |t|
    t.string   "nombre"
    t.text     "descripcion"
    t.boolean  "tipo_proyecto"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.boolean  "tipo_agente",   :default => false
  end

  create_table "transferencia", :force => true do |t|
    t.integer "proyecto_id"
    t.string  "observaciones"
    t.string  "iban"
    t.decimal "tasa_cambio",           :precision => 15, :scale => 8, :default => 0.0
    t.string  "tipo"
    t.string  "numero_cheque"
    t.boolean "remanente",                                            :default => false
    t.integer "subtipo_movimiento_id"
    t.date    "fecha_enviado"
    t.decimal "importe_enviado",       :precision => 24, :scale => 2
    t.integer "libro_origen_id"
    t.date    "fecha_recibido"
    t.decimal "importe_recibido",      :precision => 24, :scale => 2
    t.decimal "importe_cambiado",      :precision => 24, :scale => 2
    t.integer "libro_destino_id"
  end

  create_table "transferencia_x_agente", :force => true do |t|
    t.integer  "transferencia_id"
    t.integer  "agente_id"
    t.decimal  "importe",          :precision => 24, :scale => 2, :default => 0.0
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "transferencia_x_documento", :force => true do |t|
    t.integer  "transferencia_id"
    t.integer  "documento_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "usuario", :force => true do |t|
    t.string  "nombre"
    t.string  "contrasena"
    t.string  "nombre_completo"
    t.string  "correoe"
    t.boolean "administracion"
    t.boolean "proyectos"
    t.boolean "agentes"
    t.boolean "cuadromando"
    t.boolean "socios"
    t.boolean "documentos"
  end

  create_table "usuario_x_agente", :force => true do |t|
    t.integer "usuario_id"
    t.integer "agente_id"
  end

  create_table "usuario_x_espacio", :force => true do |t|
    t.integer  "espacio_id"
    t.integer  "usuario_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "usuario_x_libro", :force => true do |t|
    t.integer "libro_id"
    t.integer "usuario_id"
  end

  create_table "usuario_x_proyecto", :force => true do |t|
    t.integer "usuario_id"
    t.integer "proyecto_id"
    t.string  "rol"
  end

  create_table "v_gasto", :id => false, :force => true do |t|
    t.integer "financiador_id",                                          :default => 0
    t.string  "financiador_nombre"
    t.integer "implementador_id",                                        :default => 0,   :null => false
    t.string  "implementador_nombre"
    t.integer "actividad_id",                                            :default => 0
    t.string  "actividad_codigo"
    t.text    "actividad_nombre"
    t.integer "proyecto_id",                                             :default => 0,   :null => false
    t.string  "proyecto_nombre"
    t.integer "partida_id",                                              :default => 0,   :null => false
    t.string  "partida_nombre"
    t.integer "subpartida_id",                                           :default => 0
    t.string  "subpartida_nombre"
    t.integer "partida_proyecto_id",                                     :default => 0
    t.string  "partida_proyecto_nombre"
    t.integer "gasto_id",                                                :default => 0,   :null => false
    t.integer "moneda_id"
    t.string  "moneda_nombre"
    t.integer "moneda_base_id"
    t.string  "moneda_base_nombre"
    t.decimal "tasa_cambio",             :precision => 15, :scale => 8,  :default => 0.0, :null => false
    t.date    "fecha"
    t.decimal "importe",                 :precision => 54, :scale => 8
    t.decimal "importe_moneda_base",     :precision => 65, :scale => 16
  end

  create_table "v_gasto_agente", :id => false, :force => true do |t|
    t.integer "implementador_id",                                     :default => 0,   :null => false
    t.string  "implementador_nombre"
    t.integer "partida_id",                                           :default => 0,   :null => false
    t.string  "partida_nombre"
    t.integer "gasto_id",                                             :default => 0,   :null => false
    t.integer "moneda_id"
    t.integer "proyecto_id"
    t.string  "proyecto_nombre"
    t.string  "moneda_nombre"
    t.integer "moneda_base_id"
    t.string  "moneda_base_nombre"
    t.decimal "tasa_cambio",          :precision => 15, :scale => 8,  :default => 0.0, :null => false
    t.integer "subpartida_id",                                        :default => 0
    t.string  "subpartida_nombre"
    t.date    "fecha"
    t.decimal "importe",              :precision => 24, :scale => 2,  :default => 0.0
    t.decimal "importe_moneda_base",  :precision => 39, :scale => 10
  end

  create_table "v_presupuesto", :id => false, :force => true do |t|
    t.integer "financiador_id",                                          :default => 0
    t.string  "financiador_nombre"
    t.integer "actividad_id",                                            :default => 0
    t.string  "actividad_codigo"
    t.text    "actividad_nombre"
    t.integer "implementador_id"
    t.string  "implementador_nombre"
    t.integer "proyecto_id",                                             :default => 0
    t.string  "proyecto_nombre"
    t.integer "etapa_id",                                                :default => 0,   :null => false
    t.string  "etapa_nombre"
    t.integer "partida_id",                                              :default => 0,   :null => false
    t.string  "partida_nombre"
    t.integer "partida_proyecto_id",                                     :default => 0
    t.string  "partida_proyecto_nombre"
    t.integer "presupuesto_id",                                          :default => 0,   :null => false
    t.integer "moneda_id"
    t.string  "moneda_nombre"
    t.integer "moneda_base_id"
    t.string  "moneda_base_nombre"
    t.string  "subpartida"
    t.integer "subpartida_id"
    t.decimal "tasa_cambio",             :precision => 15, :scale => 8,  :default => 0.0, :null => false
    t.decimal "importe",                 :precision => 54, :scale => 8
    t.decimal "importe_moneda_base",     :precision => 65, :scale => 16
  end

  create_table "v_presupuesto_agente", :id => false, :force => true do |t|
    t.integer "implementador_id"
    t.string  "implementador_nombre"
    t.integer "etapa_id",                                             :default => 0,   :null => false
    t.string  "etapa_nombre"
    t.integer "presupuesto_id",                                       :default => 0,   :null => false
    t.integer "moneda_id"
    t.integer "proyecto_id"
    t.string  "moneda_nombre"
    t.integer "moneda_base_id"
    t.string  "moneda_base_nombre"
    t.string  "subpartida_nombre"
    t.integer "subpartida_id"
    t.decimal "tasa_cambio",          :precision => 15, :scale => 8,  :default => 0.0, :null => false
    t.decimal "importe",              :precision => 24, :scale => 2
    t.decimal "importe_moneda_base",  :precision => 39, :scale => 10
    t.integer "partida_id",                                           :default => 0,   :null => false
  end

  create_table "v_presupuesto_agente_detallado", :id => false, :force => true do |t|
    t.integer "implementador_id"
    t.string  "implementador_nombre"
    t.integer "partida_id",                                           :default => 0,   :null => false
    t.string  "partida_nombre"
    t.string  "partida_codigo"
    t.integer "presupuesto_id",                                       :default => 0,   :null => false
    t.integer "moneda_id"
    t.string  "presupuesto_concepto"
    t.integer "proyecto_id"
    t.string  "moneda_nombre"
    t.string  "subpartida_nombre"
    t.integer "subpartida_id"
    t.decimal "tasa_cambio",          :precision => 15, :scale => 8,  :default => 0.0, :null => false
    t.date    "fecha_inicio"
    t.date    "fecha_fin"
    t.integer "mes"
    t.decimal "importe",              :precision => 24, :scale => 2
    t.decimal "importe_moneda_base",  :precision => 39, :scale => 10
  end

  create_table "v_presupuesto_detallado", :id => false, :force => true do |t|
    t.integer "financiador_id",                                          :default => 0
    t.string  "financiador_nombre"
    t.integer "actividad_id",                                            :default => 0
    t.string  "actividad_codigo"
    t.text    "actividad_nombre"
    t.integer "implementador_id"
    t.string  "implementador_nombre"
    t.integer "proyecto_id",                                             :default => 0,   :null => false
    t.string  "proyecto_nombre"
    t.string  "convenio_accion"
    t.integer "partida_id",                                              :default => 0,   :null => false
    t.string  "partida_nombre"
    t.string  "partida_codigo"
    t.integer "subpartida_id",                                           :default => 0
    t.string  "subpartida_nombre"
    t.integer "partida_proyecto_id",                                     :default => 0
    t.string  "partida_proyecto_nombre"
    t.integer "presupuesto_id",                                          :default => 0,   :null => false
    t.integer "moneda_id"
    t.string  "presupuesto_concepto"
    t.boolean "proyecto_aprobado"
    t.boolean "proyecto_cerrado"
    t.string  "moneda_nombre"
    t.integer "moneda_base_id"
    t.string  "moneda_base_nombre"
    t.decimal "tasa_cambio",             :precision => 15, :scale => 8,  :default => 0.0, :null => false
    t.date    "fecha_inicio"
    t.date    "fecha_fin"
    t.integer "mes"
    t.decimal "importe",                 :precision => 65, :scale => 14
    t.decimal "importe_moneda_base",     :precision => 65, :scale => 22
  end

  create_table "valor_intermedio_x_actividad", :force => true do |t|
    t.integer  "actividad_x_etapa_id"
    t.date     "fecha"
    t.decimal  "porcentaje",           :precision => 5, :scale => 4
    t.boolean  "realizada",                                          :default => false
    t.string   "comentario"
    t.integer  "usuario_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "valor_intermedio_x_indicador", :force => true do |t|
    t.integer  "indicador_id"
    t.date     "fecha"
    t.decimal  "porcentaje",   :precision => 5, :scale => 4
    t.string   "comentario"
    t.integer  "usuario_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "valor_intermedio_x_subactividad", :force => true do |t|
    t.integer  "subactividad_id"
    t.date     "fecha"
    t.decimal  "porcentaje",      :precision => 5, :scale => 4
    t.text     "estado"
    t.string   "comentario"
    t.integer  "usuario_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "valor_variable_indicador", :force => true do |t|
    t.decimal  "valor",                 :precision => 24, :scale => 4, :null => false
    t.date     "fecha",                                                :null => false
    t.text     "comentario"
    t.integer  "variable_indicador_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "variable_indicador", :force => true do |t|
    t.string   "nombre",               :null => false
    t.string   "herramienta_medicion"
    t.string   "fuente_informacion"
    t.text     "contexto"
    t.integer  "indicador_id",         :null => false
    t.integer  "valor_base_id"
    t.integer  "valor_objetivo_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

end
